FileControllerFileExists Method (Guid, String, NullableGuid) |
POST /File/NameExists/{parentId}
Determines whether a file with the specified name exists in the specified folder.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("NameExists")]
public HttpResponseMessage FileExists(
Guid id,
[FromBodyAttribute] string name,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("NameExists")>
Public Function FileExists (
id As Guid,
<FromBodyAttribute> name As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"NameExists")]
HttpResponseMessage^ FileExists(
Guid id,
[FromBodyAttribute] String^ name,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("NameExists")>]
member FileExists :
id : Guid *
[<FromBodyAttribute>] name : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the parent folder. - name
- Type: SystemString
The name of the file to check for existence. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
A Boolean value indicating whether a file with the specified name exists in the specified folder,
or a status code indicating the reason for failure.
See Also